| Home | Libraries | People | FAQ | More

##### ip::basic_resolver::resolve (1 of 4 overloads)

Resolve a query to a list of entries.

    iterator resolve(
        const query & q);

This function is used to resolve a query into a list of endpoint entries.

###### Parameters

q

  A query object that determines what endpoints will be returned.

###### Return Value

A forward-only iterator that can be used to traverse the list of endpoint entries.

###### Exceptions

boost::system::system_error

  Thrown on failure.

###### Remarks

A default constructed iterator represents the end of the list.

A successful call to this function is guaranteed to return at least one entry.